server:
  port: 8090

spring:
  application:
    name: spring-cloud-gateway
  security:
    oauth2:
      client:
        provider:
          keycloak:
            issuer-uri: http://localhost:8083/auth/realms/qualtab1
            user-name-attribute: preferred_username
        registration:
          keycloak:
            client-id: client1
            client-secret: 
      resourceserver:
        jwt:
          issuer-uri: http://localhost:8083/auth/realms/qualtab1
   
  cloud:
    gateway:
      default-filters:
      - TokenRelay
      routes:      
      - id: user-service
        uri: lb://USER-SERVICE
        predicates:
        - Path=/user-service/**
      - id: course-service
        uri: lb://COURSE-SERVICE
        predicates:
        - Path=/course-service/**  
 
eureka:
  instance:
      hostname: localhost
      port: 8761
  client:
    serviceUrl:
      defaultZone: http://${eureka.instance.hostname}:${eureka.instance.port}/eureka/ 
      
logging:
  level:
    org:
      springframework: DEBUG
         
